Bug 234021 - Sound module not loading upon boot/restart
Sound module not loading upon boot/restart
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-26 13:29 EDT by Kam Leo
Modified: 2008-05-06 15:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:25:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sound config log (25.12 KB, text/plain)
2007-03-26 13:29 EDT, Kam Leo
no flags Details
lsmod output - no sound module loaded (1.96 KB, text/plain)
2007-05-05 01:34 EDT, Kam Leo
no flags Details
lsmod output - sound module loaded (3.01 KB, text/plain)
2007-05-05 01:43 EDT, Kam Leo
no flags Details
dmesg from failed-to-load configuration (15.78 KB, text/plain)
2007-05-05 01:52 EDT, Kam Leo
no flags Details
dmesg from loading sound module configuration (15.84 KB, text/plain)
2007-05-05 01:54 EDT, Kam Leo
no flags Details

  None (edit)
Description Kam Leo 2007-03-26 13:29:57 EDT
Description of problem:

This problem occured within the last two weeks.

Upon logging in the Gnome Volume Control Applet displays a "no sound" icon in
the toolbar panel. Clicking on the icon displays the following message: 

"The volume control did not find any elements and/or devices to control. This
means either that you don't have the right GStreamer plugins installed, or that
you don't have a sound card configured."

system-confing-soundcard shows that the soundcard, a Creative SoundBlaster AWE64
, is detected. Clicking "Sound Test" plays no sound. Reloading the audio driver
from the System tab gets sound to work. Audio driver, however, does not reload
upon rebooting.

Version-Release number of selected component (if applicable):

# rpm -qa | grep alsa
alsa-lib-1.0.14-0.1.rc1.fc6
alsamixergui-0.9.0-0.3.rc1.fc6
alsa-utils-1.0.14-0.1.rc1.fc6
alsa-lib-devel-1.0.14-0.1.rc1.fc6

# uname -a
Linux slowpoke 2.6.20-1.2933.fc6 #1 SMP Mon Mar 19 10:42:48 EDT 2007 i586 i586
i386 GNU/Linux


How reproducible:
Evey time.

Steps to Reproduce:
1. Reboot system
2. Click on Volume Control icon in toolbar panel.
  
Actual results:
Error message is displayed.

Expected results:
Volume control panel appears.

Additional info:
Comment 1 Kam Leo 2007-03-26 13:29:57 EDT
Created attachment 150920 [details]
Sound config log
Comment 2 Kam Leo 2007-03-29 00:07:28 EDT
Found a tip to get driver to load from Fedora Core mailing list.

Edit /etc/rc.local and add the following lines:

modprobe -r snd-sbawe
modprobe snd-sbawe
Comment 3 Martin Stransky 2007-05-02 10:05:53 EDT
ISA cards are not supported in fc-6 so you have to load a driver by hand...
Comment 4 Kam Leo 2007-05-02 18:37:10 EDT
Please do not give me this "ISA is not supported" garbage. Where in the FC6
Release Notes is that specified? 

The SoundBlaster AWE-64 sound card is supported by ALSA. It worked properly in
FC6 with the original 2.6.18 kernel. An update caused the ALSA driver to no
longer load or load correctly. I worked around the problem by reloading the
driver in /etc/rc.local.

Perhaps I should have restated my problem thusly: Somebody made a code change
and the driver for the SoundBlaster AWE-64 sound card is no longer being loaded. 

Is that easier to fathom?
Comment 5 Martin Stransky 2007-05-03 07:29:34 EDT
Yes, it was changed in kernel. Okay, you can switch this bug to kernel but I
don't think they'll revert it.
Comment 6 Kam Leo 2007-05-03 17:46:27 EDT
Switched component to kernel.

FC6 was released with support for ISA sound cards. It is not nice to release an 
update which purposely breaks or changes functionality after a product has been 
released. ISA sound cards should be supported until FC6 is no more (implicity 
contract in Release Notes). As a mininum the developers should have announced 
the change to FC6 users/community. 
Comment 7 Rahul Sundaram 2007-05-03 18:10:17 EDT
Switching the component won't automatically reassign the maintainer. You need to
check that too. Doing that now. 
Comment 8 Kam Leo 2007-05-04 01:23:10 EDT
If ISA sound cards are no longer supported then this should be documented in the
FC7 Release Notes. I have taken the liberty of cc'ing the documentation folks.
Comment 9 Karsten Wade 2007-05-04 10:53:39 EDT
I put a modified suggestion (to use /etc/modprobe.conf) in an appropriate
section of the release notes source:

http://fedoraproject.org/wiki/Docs/Beats/Multimedia

The release notes that appear on the ISO are already frozen for F7; this change
should appear in the Web-only notes that are updated and released with F7, as
well as in any updates to the fedora-release-notes package.

Thanks for your release note.
Comment 10 Jon Masters 2007-05-04 10:59:45 EDT
Just to add - this isn't a bug in module-init-tools/udev. If the kernel doesn't
tell us about a device, we can't load a driver for it :-) But personally, I
would say ISA is now dead so occasional problems like this just need a rel-note.
Sorry!

Jon.
Comment 11 Chuck Ebbert 2007-05-04 15:41:57 EDT
Does the module load on bootup?

Check output of the lsmod command. Also check the system logs for messages
from the driver.
Comment 12 Kam Leo 2007-05-05 01:34:44 EDT
Created attachment 154189 [details]
lsmod output - no sound module loaded 

lsmod output. kernel-2.6.20-1.2948.fc6 with default rc.local and
/etc/modprobe.conf from initial install of FC6.
Comment 13 Kam Leo 2007-05-05 01:43:04 EDT
Created attachment 154190 [details]
lsmod output - sound module loaded 

lsmod output: kernel-2.6.20-1.2948.fc6 using rc.local.new and
/etc/modprobe.conf from initial FC6 install.
Comment 14 Kam Leo 2007-05-05 01:52:54 EDT
Created attachment 154191 [details]
dmesg from failed-to-load configuration
Comment 15 Kam Leo 2007-05-05 01:54:16 EDT
Created attachment 154192 [details]
dmesg from loading sound module configuration
Comment 16 Kam Leo 2007-05-05 01:57:00 EDT
Reply to comment #11:

  Using the files below the sound module does not load on bootup:

[root@slowpoke ~]# cat rc.local
#!/bin/sh
#
# This script will be executed *after* all the other init scripts.
# You can put your own initialization stuff in here if you don't
# want to do the full Sys V style init stuff.

touch /var/lock/subsys/local


[root@slowpoke ~]# cat /etc/modprobe.conf
alias eth0 8139too
alias scsi_hostadapter aic7xxx
alias snd-card-0 snd-sbawe
options snd-card-0 index=0
options snd-sbawe index=0
remove snd-sbawe { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-sbawe

The output from lsmod is in the attached file lsmod.fail.

The sound module loads on bootup using the patched rc.local:

[root@slowpoke ~]# cat rc.local.new
#!/bin/sh
#
# This script will be executed *after* all the other init scripts.
# You can put your own initialization stuff in here if you don't
# want to do the full Sys V style init stuff.

touch /var/lock/subsys/local
modprobe -r snd-sbawe
modprobe snd-sbawe


The output from lsmod is in the attached file lsmod.working.txt. 

The sound module also loads on bootup if all references to snd-awe are removed
from /etc/modprobe.conf and the modified rc.local is used; e.g. 

[root@slowpoke ~]# cat modprobe.conf.new
alias eth0 8139too
alias scsi_hostadapter aic7xxx

dmesg outputs for the failed-to-load and the loading sound configurations are
also attached.
Comment 17 Kam Leo 2007-05-05 02:33:34 EDT
(In reply to comment #9)
> I put a modified suggestion (to use /etc/modprobe.conf) in an appropriate
> section of the release notes source:
> 
> http://fedoraproject.org/wiki/Docs/Beats/Multimedia
> 
> The release notes that appear on the ISO are already frozen for F7; this change
> should appear in the Web-only notes that are updated and released with F7, as
> well as in any updates to the fedora-release-notes package.
> 
> Thanks for your release note.
> 


Your suggestion does not work. I changed /etc/modprobe.conf as follows:

[root@slowpoke log]# cat /etc/modprobe.conf
alias eth0 8139too
alias scsi_hostadapter aic7xxx
install snd-sbawe

rc.local is the default; i.e. 

[root@slowpoke log]# cat /etc/rc.local
#!/bin/sh
#
# This script will be executed *after* all the other init scripts.
# You can put your own initialization stuff in here if you don't
# want to do the full Sys V style init stuff.

touch /var/lock/subsys/local

Upon boot I got the multiple errors for modprobe.conf; i.e. 

May  4 23:09:00 slowpoke modprobe: WARNING: /etc/modprobe.conf line 3: ignoring
bad line starting with 'install' 


Is "install" a new command for FC7? It does not work for FC6. Placing the
modprobe command into /etc/rc.local definitely works.

Comment 18 Kam Leo 2007-05-06 03:11:30 EDT
This thread, https://www.redhat.com/archives/fedora-list/2007-May/msg00300.html
, seems to have commonality with the problem I reported. If I'm not mistaken
this guy's card has a PCI interface. Better check for a module loading problem.
ISA interface may not have anything to do with the problem.
Comment 19 Bug Zapper 2008-04-04 02:41:16 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 20 Bug Zapper 2008-05-06 15:25:26 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.